﻿@model TestDatabase.ViewModels.Home.ConnectionViewModel
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@{
}
<!DOCTYPE html>
<html>
<head>

</head>
<body>
    <p>
        Test page for database
    </p>
    <form role="form" action="@Url.Action("Index","Home")" method="post">
        <div style="width:400px">
            Original:
            <br />
            @Html.Raw(Model.ConnectionStringFromConfig)
            <div style="width:100%;float:left">
                Connection String
            </div>
            <div style="width:100%;float:left">
                <input asp-for="ConnectionString" required="required" />
            </div>
            <br />
            <button id="TestButton" type="submit">Test</button>
        </div>

    </form>
    @if (Model.ErrorMessage != null)
    {
        if (Model.ErrorMessage == "OK")
        {
            <div style="width:50%;float:left;padding:10px;background-color:greenyellow">
                Connection OK !!!
                <br />
                Values are: Id = @Model.ResultValue.Id  AND Name = @Model.ResultValue.Name
            </div>
        }
        else
        {
            <div style="width:50%;float:left;padding:10px;background-color:yellow">
                @Html.Raw(Model.ErrorMessage)
            </div>
        }
    }
</body>
</html>
